Subject: Re: [PATCH][NET_SCHED] sch_cbq: deactivating when grafting, purging etc.

From: Jarek Poplawski <[email-masked]>
Date: Mon, 27 Nov 2006 11:41:40 +0100

On Mon, Nov 27, 2006 at 10:55:39AM +0100, Patrick McHardy wrote:
> Jarek Poplawski wrote:
> > Here are some fixes proposals suggested by Patrick McHardy.
> > 
> > [NET_SCHED] sch_cbq:
> > 
> > - deactivating of active classes when grafting
> > 
> > - purging of queue/q.qlen adjustment when deleting an active class
> > 
> > - deactivating of active classes when q.qlen drops to zero in ->drop()
> > 
> > - a redundant instruction removed from cbq_deactivate_class (my own
> >   suggestion)
> > 
> > PS: - purging of queue and deactivating of active classes
> > when attaching a new child - not done (according to man, CBQ can carry
> > packets in any type of nodes).
> 
> 
> Your patch looks good, but it conflicts with my patches.

I know, but I wasn't sure which version this changes
are needed for. If there will be something more to do,
name the version, please. 
 
> One thing I forgot to mention is that it should also have
> a callback for deactivating classes when their childs
> become empty. If you do that you can just call
> disc_tree_decrement_qlen in graft/delete, which will take
> care of the qlen decrement and class deactivation.
 
If I understand correctly I should apply this to 
the version after your patch (plus the missing cbq part
of "endless loops"). I'll try.